New LiquidCrystal library 1.3.2 Generic LCD control library

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LiquidCrystal_SR2W Class Reference
Inheritance diagram for LiquidCrystal_SR2W:

## Public Member Functions
| LiquidCrystal_SR2W (uint8_t srdata, uint8_t srclock, t_backlighPol blpol=POSITIVE)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t mode)
Public Member Functions inherited from LCD
| LCD ()
virtual void | begin (uint8_t cols, uint8_t rows, uint8_t charsize=LCD_5x8DOTS)
void | clear ()
void | home ()
void | noDisplay ()
void | display ()
void | noBlink ()
void | blink ()
void | noCursor ()
void | cursor ()
void | scrollDisplayLeft ()
void | scrollDisplayRight ()
void | leftToRight ()
void | rightToLeft ()
void | moveCursorLeft ()
void | moveCursorRight ()
void | autoscroll ()
void | noAutoscroll ()
void | createChar (uint8_t location, uint8_t charmap[])
void | setCursor (uint8_t col, uint8_t row)
void | backlight (void)
void | noBacklight (void)
void | on (void)
void | off (void)
virtual void | setBacklightPin (uint8_t value, t_backlighPol pol)
virtual void | write (uint8_t value)

## Additional Inherited Members
Protected Attributes inherited from LCD
uint8_t | _displayfunction
uint8_t | _displaycontrol
uint8_t | _displaymode
uint8_t | _numlines
uint8_t | _cols
t_backlighPol | _polarity

## Constructor & Destructor Documentation

LiquidCrystal_SR2W::LiquidCrystal_SR2W | ( | uint8_t | srdata,
|  | uint8_t | srclock,
|  | t_backlighPol | blpol = `POSITIVE`
| ) |  |

LCD 2 wire SHIFT REGISTER constructor. Defines the pin assignments that connect to the shift register. The constructor does not initialize the LCD. Assuming 1 line 8 pixel high font.

Parameters

  srdata[in] | Arduino pin for shift register data line.
  srclock[in] | Arduino pin for shift register clock line.
  blpol[in] | optional backlight polarity (default = POSITIVE)

## Member Function Documentation

void LiquidCrystal_SR2W::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  |
| virtual

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command using the shift register.

Users should never call this method.

Parameters

  value[in] | Value to send to the LCD.
  mode[in] | DATA=8bit data, COMMAND=8bit cmd, FOUR_BITS=4bit cmd the LCD.

Reimplemented from LCD.

void LiquidCrystal_SR2W::setBacklight | ( | uint8_t | mode | ) |
| virtual

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also
  setBacklightPin.

Parameters

  mode[in] | backlight mode (0 off, non-zero on)

Reimplemented from LCD.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_SR2W.h
- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_SR2W.cpp